Catmandu::Fix::set_field(3pm)

NAME
Catmandu::Fix::set_field - add or change the value of a HASH key or ARRAY index

DESCRIPTION
Contrary to "add_field", this will not create the intermediate structures if they are missing.

SYNOPSIS
   # Change the value of 'foo' to 'bar 123'
   set_field(foo, 'bar 123')

   # Change a deeply nested key
   set_field(my.deep.nested.key, hi)

   # If the second argument is omitted the field has a null value
   add_field(foo)

SEE ALSO
Catmandu::Fix